
local gravity_effect = "mars:gravity"
local sky_weather = "mars:sky"
local storm_weather = "regional_weather:sandstorm"
local accum_time = 0
local mode = 0


local function on_time(dt)
    accum_time = accum_time - dt
    if accum_time < 0 then
        --player:set_physics_override(1, 0.6, 0.2) -- speed, jump, gravity
        if mode == 0 then
            climate_mod.forced_weather[storm_weather] = false
            mode = 1
            accum_time = accum_time + math.random(60, 300)
        elseif mode == 1 then
            climate_mod.forced_weather[storm_weather] = true
            mode = 0
            accum_time = accum_time + math.random(180, 420)
        end
    end
end
--180 420

minetest.register_globalstep(on_time)



climate_api.register_effect(gravity_effect, function(player_data)
    for playername, data in pairs(player_data) do
        local player = minetest.get_player_by_name(playername)
        local speed = 1
        local jump = 1
        local gravity = 1
        for weather, value in pairs(data) do
            speed = speed * value.speed
            jump = jump * value.jump
            gravity = gravity * value.gravity
        end
        climate_api.player_physics.add(gravity_effect, player, "speed", speed)
        climate_api.player_physics.add(gravity_effect, player, "jump", jump)
        climate_api.player_physics.add(gravity_effect, player, "gravity", gravity)
    end
end, "tick")

climate_api.register_effect(gravity_effect, function(player_data)
    for playername, data in ipairs(player_data) do
        local player = minetest.get_player_by_name(playername)
        climate_api.player_physics.remove(gravity_effect, player, "speed")
        climate_api.player_physics.remove(gravity_effect, player, "jump")
        climate_api.player_physics.remove(gravity_effect, player, "gravity")
    end
end, "stop")

climate_api.set_effect_cycle(gravity_effect, climate_api.SHORT_CYCLE)



local sky_effects = {
    ["climate_api:skybox"] = {
        sky_data = {
            type = "skybox",
            textures = {
                "sky_top.png^[transform3",
                "sky_bottom.png^[transform1",
                "sky_right.png",
                "sky_left.png",
                "sky_back.png",
                "sky_front.png",
            },
            clouds = false,
            sunrise_visible = false,
        },
        cloud_data = {
            density = 1,
            color = "#f7e4bfc0",
            thickness = 40,
            speed = {x=0,y=0,z=0}
        },
        star_data = {
            visible = false,
        },
        moon_data = {
            visible = false,
        },
        priority = 60,
    },
    [gravity_effect] = {
        speed = 1,
        jump = 1,
        gravity = 0.38,
    },
}


climate_api.register_weather(
    sky_weather,
    {}, -- conditions
    function(params)
        return sky_effects
    end
)

climate_mod.forced_weather[sky_weather] = true
